/**
 * Gymky.me
 * Created by xavi on 01/01/16.
 */

/**
 * Model Dependencies
 */
var mongoose = require('mongoose');
var Schema = mongoose.Schema;

/**
 * Game Model
 * @type {*|Schema}
 */
var GameSchema = new Schema({
    created: {
        type: Date,
        default: Date.now
    },
    team: {
        type: String
    },
    leader: {
        type: String
    },
    email : {
        type : String
    },
    activity: {
        type: Schema.ObjectId,
        ref: 'Activity'
    }
});

mongoose.model('Game', GameSchema);