/**
 * Gymky.me
 * Created by xavi on 19/12/15.
 */

(function(){

    'use strict';
    angular
        .module('activities')
        .directive('setSection',[
            '$rootScope',
            setSectionFn
        ]);

    function setSectionFn( $rootScope ){

        function link( scope, elem, attr ){

            var section = $rootScope['currentSection'];

            switch ( section ) {

                case 1:
                    scope.message = "Just define a title for your activity and the date when the activity will be gamed.";
                    break;
                case 2:
                    scope.message = "Add the teams which are going to play the activity.";
                    break;
                case 3:
                    scope.message = "Create the tasks that are going to be played for the Teams.";
                    break;
                case 4:
                    scope.message = "Add a background image for your Treasure Hunt, or just left the default one."

            }

            $('#section-status').find('.status-' + section).addClass('active');

        }

        return {
            restrict: 'EA',
            templateUrl: '/app/activities/partials/setSection.client.partial.html',
            link: link
        }

    }

})();
