/**
 * Gymky.me
 * Created by xavi on 01/01/16.
 */

(function(){

    'use strict';
    angular
        .module('games')
        .factory('GamesService', [
            '$resource',
            GamesSrvFn
        ]);

    function GamesSrvFn( $resource ) {

        var services = {};

        services.game = $resource('api/games/:gameId',
            { gameId: '@_id' },
            {
                get     : { method: 'GET' },
                save    : { method: 'POST' },
                update  : { method: 'PUT' }
            }
        );

        return services;

    }

})();
