/**
 * Gymky.me
 * Created by xavi on 09/01/16.
 */
(function(){

    'use strict';
    angular
        .module('menu')
        .directive('gameMenu', [ GameMenuFn ]);

    function GameMenuFn() {

        var controller = [
            '$scope',
            '$cookies',
            MainMenuCtrlFn
        ];

        function MainMenuCtrlFn( $scope, $cookies ){

            var user = $cookies.getObject( 'currentUser' );
            if ( angular.isDefined( user ) ){
                $scope.title = user.gameTitle
            }

        }

        function link( scope ){

            scope.limit = 35;

        }

        return {
            restrict: 'E',
            templateUrl: '/app/menu/views/menu-game.client.view.html',
            controller: controller,
            link: link
        }
    }

})();