/**
 * Gymky.me
 * Created by xavi on 01/01/16.
 */

var games = require('../../app/controllers/games.server.controller');

module.exports = function( app ) {

    app.route('/api/games')
        .get(games.list)
        .post(games.create);

    app.route('/api/games/:gameId')
        .get(games.read)
        .put(games.update);

    app.param('gameId', games.gameByID);

};
