/**
 * Gymky.me
 * Created by xavi on 27/12/15.
 */

(function() {

    'use strict';
    angular
        .module('games')
        .config([
            '$stateProvider',
            LoginRouteFn
        ]);

    function LoginRouteFn( $stateProvider ) {

        var ROOT = 'app/games/views/';

        $stateProvider
            .state('game', {
                abstract: true,
                templateUrl: ROOT + 'games.client.view.html'
            })
            .state('game.login', {
                url: '/game/:activityId/login',
                params: { activityId: null },
                templateUrl: ROOT + 'games-login.client.view.html'
            })
            .state('game.introduction', {
                url: '/game/:activityId/introduction',
                params: { activityId: null },
                templateUrl: ROOT + 'games-introduction.client.view.html'
            })
            .state('game.play', {
                url: '/game/:activityId/play',
                params: { activityId: null },
                templateUrl: ROOT + 'games-play.client.view.html'
            })

    }

})();
